import { useState } from 'react';
import { Button } from 'antd';
import type { SizeType } from 'antd/es/config-provider/SizeContext';
import { UserOutlined } from '@ant-design/icons'
import { clearSessionToken } from '@/utils/token';
import { history  } from 'umi';
import './index.less';
interface userPorp{
  name:string;
}
const Header = () => {
  const user:userPorp = {name:'管理员'};
  const [size] = useState<SizeType>('small');
  // 退出登录
  const toOut = (event: any) => {
    clearSessionToken();
    history.push('/login');
  };
  return (
    <div className='header'>
      <div className='left'><p>茶餐厅-管理中心</p></div>
      <div className='right'>
         <UserOutlined />
         <span className='name'>{user.name}</span> 
         <Button onClick={toOut} size={size} type="primary" danger>退出登录</Button>
      </div>
    </div>
  );
};

export default Header;
